.blog-page-section {
    padding: 40px 0;
    position: relative
}

.blog-page-section .all-blog {
    transition: .5s
}

.blog-page-section .single-blog {
    margin-bottom: 20px;
    padding: 10px;
    border-radius: 10px;
    transition: .3s;
    border: 1px solid #cfcfcf;
}

.blog-page-section .blo-til-new h4 {
    color: var(--txt-color);
    font-size: 20px;
    font-weight: 600;
    line-height: 28px;
    margin: 10px 0 0;
    transition: .5s;
    display: -webkit-inline-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    min-height: 57px;
    align-content: center;
}

.blog-page-section .main-blogs-img {
    position: relative;
    transition: .5s;
    height: 250px;
}

.blog-page-section .blog-bg-img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.blog-page-section .blo-til-new .blog-description {
    color: #656565;
    font-size: 16px;
    line-height: 26px;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    font-weight: 400;
    margin-bottom: 20px;
}

.blog-page-section .main-blogs-img .blog-bg-img:before {
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    height: 85%;
    width: 85%;
    border: 2px solid #fff;
    opacity: 0;
    transition: .5s
}

.blog-page-section .single-blog:hover .blog-bg-img:before {
    opacity: 1;
    transition: .5s;
    transform: scale(1.07)
}

.leavereply h2.reply {
    display: inline-block;
    color: #303030;
    font-size: 25px;
    line-height: normal;
    font-weight: 700;
    margin-bottom: 20px;
}

.leave-message .myform input,.leave-message .myform textarea {
    color: #000;
    font-size: 15px;
    margin-bottom: 20px
}

.all-pagination ul.pagination li.active a,
.all-pagination ul.pagination li.active span {
    background: var(--btn-color)!important
}

.blog-page-section .all-pagination {
    justify-content: center;
    margin: 30px 0;
}

.blog-page-section .all-pagination li a, .blog-page-section .all-pagination li span {
    border: 1px solid #C1C1C1 !important;
    border-radius: 100% !important;
    height: 50px;
    width: 50px;
    align-content: center;
    text-align: center;
    color: var(--txt-color);
    font-weight: 600;
    font-size: 15px !important;
}

.blog-page-section .all-pagination li {
    margin: 0 20px;
}

.blog-page-section .all-pagination .page-item:first-child .page-link,
.blog-page-section .all-pagination .page-item:last-child .page-link {
    background: var(--btn-color);
    color: #fff;
    width: 35px;
    border-radius: 20px !important;
    font-size: 20px !important;
}

.blog-page-section .all-pagination .page-item:last-child .page-link {
    background: var(--sec-color);
}

@media (max-width: 992px) {
    body .bannermain {
        height:auto!important
    }

    .innerbanner {
        margin-top: 80px
    }

    .all-pagination {
        justify-content: center!important
    }
}

.blogs-view-page {
    padding: 50px 0;
    position: relative;
}

.blogs-view-page .all-blog {
    position: relative;
    margin-right: 10px
}

.blogs-view-page .all-blog:before {
    position: absolute;
    content: '';
    height: 2px;
    width: 100%;
    margin: auto;
    background: #cecece;
    bottom: -30px;
}

.blog-view-content .admin-icons .tagss {
    font-size: 15px;
    margin-right: 20px;
    color: var(--txt-color);
}

.blog-view-content .admin-icons .tagss img {
    margin-right: 5px;
}

.blog-view-content .admin-icons {
    padding-bottom: 15px;
}
.blog-veiw-section .view-abt-img img {
    border-radius: 10px;
}
.blog-veiw-section h1 {
    color: var(--h-color);
    font-size: 30px;
    font-weight: 600;
    line-height: normal;
    margin-bottom: 10px;
    display: inline-block;
}

.blog-veiw-section p {
    color: var(--txt-color);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

.leavereply {
    padding-bottom: 10px;
    position: relative
}

.leave-message .myform textarea {
    resize: none
}

.leave-message .myform input:focus,.leave-message .myform textarea:focus {
    box-shadow: none;
    border-color: var(--btn-color);
    transition: .5s
}

.leave-message .myform button {
    width: 100%;
    font-size: 18px;
    font-weight: 500;
    background: var(--btn-color);
    color: #ffffff;
    border: none;
}


.blog-page-section .single-blog:hover {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    transition: .3s;
    border-color: var(--btn-color);
}

.blog-page-section .single-blog:hover .blo-til-new h4 {
    color: var(--btn-color);
    transition: .3s;
}

.single-blog .main-clicks .blog-view {
    color: var(--h-color);
    font-size: 15px;
    background: #F4F4F4;
    padding: 5px 10px;
    transition: 0.3s;
    border: 1px solid #cfcfcf;
    border-radius: 5px;
}

.single-blog .main-clicks .blog-view:hover {
    transition: 0.3s;
    border-color: var(--btn-color);
}

.blog-page-section .single-blog .main-clicks {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-top: 1px solid #dadada;
    padding-top: 10px;
}

.single-blog .main-clicks .blog-date img {
    margin-right: 8px;
    width: 18px;
}

.single-blog .main-clicks .blog-date {
    font-size: 15px;
}


/* blog view css */

.blogs-view-page .main-blogs-list {
    background: #ffffff;
    padding: 20px 15px;
    border-radius: 10px;
    border-bottom: 3px solid var(--btn-color);
    box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
}

.blogs-view-page .main-blogs-list .social-links-blog ul {
    display: flex;
    align-items: center;
}

.blogs-view-page .main-blogs-list .social-links-blog ul li {
    margin-right: 10px;
    background: var(--sec-color);
    list-style: none;
    width: 40px;
    height: 40px;
    text-align: center;
    border-radius: 5px;
    align-content: center;
    transition: .3s;
}

.blogs-view-page .main-blogs-list .social-links-blog ul li img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    padding: 10px;
    transition: .3s;
}

.blogs-view-page .main-blogs-list .social-links-blog ul li:hover img {
    /*filter: invert(1);*/
    transition: .3s;
}

.blogs-view-page .main-blogs-list .social-links-blog ul li:hover {
    background: var(--btn-color);
    transition: .3s;
}

.bl-view .main-blogs-list .recent-img {
    width: 100%;
    height: 80px;
    max-width: 35%;
}

.bl-view .main-blogs-list .recent-cont {
    width: 100%;
    max-width: 65%;
}

.bl-view .main-blogs-list .recent-img img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.bl-view .main-blogs-list .recent-cont .rcnt-date img {
    width: 14px;
    margin-right: 5px;
    filter: brightness(0.5);
}

.bl-view .main-blogs-list .recent-cont .rcnt-date {
    font-size: 15px;
    color: var(--btn-color);
}

.bl-view .main-blogs-list .recent-cont .recent-title p {
    color: var(--sec-color);
    font-weight: 500;
    font-size: 14px;
    line-height: 22px;
    margin: 0;
}

.bl-view .main-blogs-list .Recent-head h4 {
    color: var(--btn-color);
    padding-bottom: 20px;
    position: relative;
    display: inline-block;
}

.bl-view .main-blogs-list .Recent-head h4:before {
    position: absolute;
    content: '';
    background-color: var(--sec-color);
    margin: auto;
    height: 3px;
    width: 60%;
    bottom: 10px;
}

.bl-view .main-blogs-list .recent-main.listing {
    margin: 10px 0;
    border-bottom: 1px solid #DFDFDF;
    padding-bottom: 10px;
}

.bl-view .main-blogs-list .recent-main.listing:last-child {
    border: none;
}

.blog-quote {
    background-size: cover;
    background-position: bottom;
    color: #fff;
    padding: 40px 30px;
    border-radius: 10px;
    text-align: center;
}

.blog-quote .quote-img img {
    max-width: 70px;
    margin-bottom: 20px;
}

.blog-quote .quote-img h4 {
    font-size: 28px;
    border-bottom: 1px solid #4E6D7E;
    padding-bottom: 15px;
}

.blog-quote .blog-quick .content {
    padding-top: 10px;
}

.blog-quote .blog-quick .content a {
    background: var(--btn-color);
    color: #fff;
    padding: 8px 20px;
    border-radius: 4px;
    display: inline-block;
    transition: 0.3s;
}
.blog-quote .blog-quick .content a:hover {
    transition: 0.3s;
    background: var(--sec-color);
}

/*Listing Page Recent Blogs*/
.blog-card.blog-card-full {
    background-size: cover;
    height: 560px;
    background-position: center;
    border-radius: 15px;
    position: relative;
}

.recent-bg-listing .blog-card .blog-img img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: all 2s ease-out;
}

.recent-bg-listing .blog-card:hover .blog-img img {
    transition: all 2s ease-out;
    transform: scale(1.07);
}

.recent-bg-listing .blog-card .blog-img {
    height: 310px;
    border-radius: 15px;
    overflow: hidden;
    transition: 0.3s;
}

.recent-bg-listing .blog-card .blog-card-body {
    border-radius: 10PX;
    color: #fff;
    padding: 10px 20px;
    min-height: 230px;
    align-content: center;
}

.recent-bg-listing .blog-card {
    transition: 0.3s;
}

.recent-bg-listing .blog-card.first .blog-card-body {
    background: var(--btn-color);
    margin-bottom: 20px;
}

.recent-bg-listing .blog-card .blog-card-body a {
    color: #fff;
}

.recent-bg-listing .blog-card.third .blog-card-body {
    background: var(--sec-color);
    margin-top: 20px;
}

.recent-bg-listing .blog-card.first:hover .blog-card-body {
    background: var(--sec-color);
    transition: 0.3s;
}

.recent-bg-listing .blog-card.third:hover .blog-card-body {
    background: var(--btn-color);
    transition: 0.3s;
}

.recent-bg-listing .blog-card .blog-card-body {
    transition: 0.3s;
}

.blog-card.blog-card-full .blog-card-overlay {
    position: absolute;
    width: 100%;
    padding: 20px;
    bottom: 0;
    background-image: linear-gradient(6deg, #000000, #00000000);
    border-radius: 20px;
    color: #fff;
}

.recent-bg-listing .blog-card .blog-excerpt {
    display: -webkit-inline-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 3;
    margin-bottom: 10px;
}

.blog-card.blog-card-full .blog-card-overlay a {
    color: #fff;
}

.recent-bg-listing .blog-card .rcnt-arow {
    transform: rotate(45deg);
    transition: .3s;
}

.recent-bg-listing .blog-card:hover .rcnt-arow {
    transform: rotate(90deg);
    transition: .3s;
}

@media (max-width: 767px) {
    .blog-page-section {
        padding: 20px 0;
    }

    .blog-page-section .all-blog {
        padding-right: 0;
        margin-right: 0
    }

    .blog-page-section .single-blog {
        margin-bottom: 20px;
    }

    .blog-page-section .blo-til-new h4 {
        font-size: 14px;
        min-height: auto !IMPORTANT;
    }

    .blog-page-section .blo-til-new .blog-description {
        font-size: 12px;
        line-height: 22px;
    }

    .single-blog .main-clicks .blog-view {
        font-size: 12px;
    }

    .single-blog .main-clicks .blog-date {
        font-size: 12px;
    }

    .blog-page-section .main-blogs-img {
        border-radius: 15px;
        height: 200px;
    }
    
    .blog-page-section .main-blogs-img {
        height: 150px;
    }
    
    .blog-page-section .blog-bg-img {
        height: 100%;
        border-radius: 15px;
        background-size: cover!important
    }

    .blog-page-section .blg-pg p {
        font-size: 10px;
        margin: 5px 0;
        -webkit-line-clamp: 2
    }

    .main-blogs-list {
        margin-top: 20px;
        padding: 15px;
        border-radius: 10px
    }
    
    .main-blogs-list h4 {
        font-size: 15px
    }

    .blogs-view-page {
        padding: 10px 0!important
    }

    .blogs-view-page .all-blog {
        padding-right: 0!important;
        margin-right: 0!important;
        border-bottom: 2px solid #cecece;
        padding-bottom: 10px;
    }

    .blog-veiw-section h1 {
        font-size: 17px!important;
    }

    .blog-veiw-section p {
        font-size: 10px!important;
        margin: 5px 0!important
    }

    .leavereply {
        padding-bottom: 30px
    }

    .leavereply h2.reply {
        font-size: 14px
    }

    .leave-message .myform input,.leave-message .myform textarea {
        margin-bottom: 10px;
        font-size: 10px
    }
    
    .blog-veiw-section .blog-view-content p, 
    .blog-veiw-section .blog-view-content p span {
        font-size: 13px !important;
    }
    
    .blogs-view-page .all-blog:before {
        display: none;
    }
    
    ::placeholder {
        font-size: 12px;
    }
    
    .leave-message .myform button {
        font-size: 14px;
    }

    .blog-page-section .all-pagination .page-item:first-child .page-link, .blog-page-section .all-pagination .page-item:last-child .page-link {
        width: 20px;
        font-size: 12px !important;
    }
    
    .blog-page-section .all-pagination li a, .blog-page-section .all-pagination li span {
        height: 30px;
        width: 30px;
        font-size: 12px !important;
    }
    
    .blog-page-section .all-pagination li {
        margin: 0px 5px;
    }
    
    .blog-page-section .all-pagination {
        margin: 20px 0px;
    }
    
    .recent-bg-listing {
        padding-top: 10px;
    }
    
    .recent-bg-listing .blog-card .blog-card-body {
        padding: 10px;
        margin-bottom: 10px !important;
    }
    
    .recent-bg-listing .blog-card .blog-card-body .blog-date {
        font-size: 12px;
    }
    
    .recent-bg-listing .blog-card .blog-card-body .blog-title {
        font-size: 16px;
    }
    
    .recent-bg-listing .blog-card .blog-excerpt {
        font-size: 12px;
    }
    
    .recent-bg-listing .blog-card .blog-link {
        font-size: 12px;
    }
    
    .recent-bg-listing .blog-card .blog-img {
        height: 150px;
        margin-bottom: 20px;
    }
    
    .recent-bg-listing .blog-card.third .blog-card-body {
        margin-top: 10px !important;
        margin-bottom: 0 !important;
    }
    
    .recent-bg-listing .blog-card.third .blog-img {
        margin-bottom: 10px;
    }
    
    .blog-card.blog-card-full {
        height: 300px;
        margin-bottom: 20px;
    }
    
    .blog-card.blog-card-full .blog-card-overlay .blog-date {
        font-size: 12px;
    }
    
    .blog-card.blog-card-full .blog-card-overlay .blog-title {
        font-size: 16px;
    }

}

@media (min-width: 767px) and (max-width:992px) {
    .blog-page-section {
        padding:30px 0
    }

    .blog-page-section .all-blog,body .blogs-view-page .all-blog {
        padding-right: 0;
        margin-right: 0
    }

    .blog-page-section .single-blog {
        margin-bottom: 15px;
    }

    .blog-page-section .blo-til-new h4 {
        font-size: 14px;
        min-height: auto;
    }

    .blog-page-section .blo-til-new .blog-description {
        font-size: 12px;
        line-height: 20px;
        margin-bottom: 10px;
    }

    .blog-page-section .main-blogs-img {
        border-radius: 10px;
        height: 120px;
    }

    .blog-page-section .blog-bg-img {
        height: 100%;
        width: 100%;
        border-radius: 10px;
        background-size: cover!important
    }

    .blog-page-section .blg-pg p {
        font-size: 10px;
        margin: 5px 0;
        -webkit-line-clamp: 2
    }

    .main-blogs-list {
        margin: 10px 0;
        border-radius: 10px
    }

    .blog-veiw-section h1 {
        font-size: 20px;
    }
    
    .blogs-view-page {
        padding: 30px 0!important
    }

    .leavereply {
        padding-bottom: 30px
    }

    .leave-message .myform input,.leave-message .myform textarea {
        margin-bottom: 20px;
        font-size: 12px
    }

    .blog-page-section .single-blog .admin-icons .tagss {
        font-size: 13px;
    }
    
    .blog-page-section .single-blog .admin-icons {
        margin-top: 8px;
    }
    
    .single-blog .main-clicks .blog-view {
        font-size: 12px;
    }
    
    .leave-message .myform button {
        font-size: 15px;
    }

    ::placeholder {
        font-size: 13px !Important;
    }
    
    .blog-view-content {
        margin-top: 20px;
    }
    
    .blog-view-content .admin-icons .tagss {
        font-size: 13px;
    }
    
    .blog-veiw-section .blog-view-content p, 
    .blog-veiw-section .blog-view-content p span {
        font-size: 14px !IMPORTANT;
    }
    
    .leavereply h2.reply {
        font-size: 22px;
    }
    
    .blogs-view-page .main-blogs-list .social-links-blog ul li {
        height: 35px;
        width: 35px;
    }

    .blog-page-section .all-pagination li {
        margin: 0px 10px;
    }
    
    .blog-page-section .all-pagination .page-item:first-child .page-link, .blog-page-section .all-pagination .page-item:last-child .page-link {
        width: 25px;
        font-size: 14px !important;
    }
    
    .blog-page-section .all-pagination li a, .blog-page-section .all-pagination li span {
        height: 30px;
        width: 30px;
        padding: 0px;
        font-size: 14px !important;
    }
    
    .single-blog .main-clicks .blog-date {
        font-size: 12px;
    }
    
    .recent-bg-listing .blog-card .blog-card-body {
        padding: 10px;
    }
    
    .recent-bg-listing .blog-card .blog-card-body .blog-date {
        font-size: 12px;
        margin-bottom: 10px;
    }
    
    .recent-bg-listing .blog-card .blog-card-body .blog-title {
        font-size: 14px;
    }
    
    .recent-bg-listing .blog-card .blog-excerpt {
        font-size: 12px;
        margin-bottom: 10px;
    }
    
    .recent-bg-listing .blog-card .blog-card-body .blog-link {
        font-size: 12px;
    }
    
    .recent-bg-listing .blog-card.first .blog-card-body {
        margin-bottom: 10px;
    }
    
    .recent-bg-listing .blog-card .blog-img {
        height: 130px;
    }
    
    .blog-card.blog-card-full {
        height: 370px;
    }
    
    .recent-bg-listing .blog-card.third .blog-card-body {
        margin-top: 10px;
    }
    
    .blog-card.blog-card-full .blog-card-overlay {
        padding: 10px;
    }
    
    .blog-card.blog-card-full .blog-card-overlay .blog-date {
        font-size: 12px;
        margin-bottom: 10px;
    }
    
    .blog-card.blog-card-full .blog-card-overlay .blog-title {
        font-size: 14px;
    }
    
    .blog-card.blog-card-full .blog-card-overlay .blog-link {
        font-size: 12px;
    }

}
